Skip to content
pols.so docs
Esc
↑↓navigate↵open⌘Jpreview

Create or overwrite a file in a running sandbox

PUT/v1/sandboxes/{sandbox}/files
Authorization
AuthorizationBearer token · headerrequired

Org-scoped API key, pols_....

Path parameters
sandboxstringrequired

Sandbox ID (sbx_...) or name.

Query parameters
pathstringrequired

Absolute path inside the sandbox.

modestring

Permission bits in octal.

matches ^0?[0-7]{3}$ · default: "0644"
rootboolean

Owned by root instead of the default sandbox user.

default: false
Request body
requiredapplication/octet-stream
any
Responses
204

Written.

429

Rate limited (rate_limited): too many requests or failed authentications from this address, too many requests or lifecycle calls for this org, or too many of its exec, file, computer and CDP calls in progress at once. Retry after Retry-After seconds.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), timeout (504, or 408 when a request body stalls).

messagestringrequired
default

Error.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), timeout (504, or 408 when a request body stalls).

messagestringrequired
Request
curl -X PUT 'https://api.pols.so/v1/sandboxes/string/files?path=string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/octet-stream' \
  -d 'null'
Response
Written.